(* :Title: QuantLib for Mathematica *)

(* :Context: QuantLib` *)

(* :Author: Niels Elken Snderby *)

(* :Mathematica Version: 4.0 *)

(* :Copyright: Copyright (C) 2003 Niels Elken Snderby *)

(* :License:

   This file is part of QuantLib for Mathematica, a Mathematica extension for
   QuantLib, a free-software/open-source financial C++ library
   - http://www.nielses.dk/quantlib/mma
   - http://quantlib.org/

   QuantLib for Mathematica is free software: you can redistribute it and/or 
   modify it under the terms of the QuantLib license.  You should have 
   received a copy of the license along with this program; if not, please 
   email ferdinando@ametrano.net The license is also available online at 
   http://quantlib.org/html/license.html

   This program is distributed in the hope that it will be useful, but 
   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  
   or FITNESS FOR A PARTICULAR PURPOSE. See the license for more details.
*)

BeginPackage["QuantLib`", 
(* TODO: Would be better if DeclarePackage was used. *)
"QuantLib`Common`CppLink`", "QuantLib`Common`QuantLibCommon`", 
"QuantLib`Calendar`", "QuantLib`Options`", "QuantLib`MonteCarlo`", 
"QuantLib`Test`"]

EndPackage[]

Null
