
:Evaluate: BeginPackage["QuantLib`"]

:Evaluate: Begin["`Private`"]

:Begin:
:Function:       qlDayOfWeek
:Pattern:        qlDayOfWeek[year_Integer, month_Integer, day_Integer]
:Arguments:      { year, month, day }
:ArgumentTypes:  { Integer, Integer, Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlBusinessDayQ
:Pattern:        qlBusinessDayQ[year_Integer, month_Integer, day_Integer, cal_Integer]
:Arguments:      { year, month, day, cal }
:ArgumentTypes:  { Integer, Integer, Integer, Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlShiftDate
:Pattern:        qlShiftDate[year_Integer, month_Integer, day_Integer, shiftyears_Integer, shiftmonths_Integer, shiftdays_Integer, cal_Integer]
:Arguments:      { year, month, day, shiftyears, shiftmonths, shiftdays, cal }
:ArgumentTypes:  { Integer, Integer, Integer, Integer, Integer, Integer, Integer }
:ReturnType:     Manual
:End:


:Begin:
:Function:       qlRollDate
:Pattern:        qlRollDate[y_Integer, m_Integer, d_Integer, calnum_Integer, rollnum_Integer]
:Arguments:      { y, m, d, calnum, rollnum }
:ArgumentTypes:  { Integer, Integer, Integer, Integer, Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlDaysBetween
:Pattern:        qlDaysBetween[y1_Integer,m1_Integer,d1_Integer,y2_Integer,m2_Integer,d2_Integer,daycountnum_Integer]
:Arguments:      { y1, m1, d1, y2, m2, d2, daycountnum }
:ArgumentTypes:  { Integer, Integer, Integer, Integer, Integer, Integer, Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlLeapYearQ
:Pattern:        qlLeapYearQ[year_Integer]
:Arguments:      { year }
:ArgumentTypes:  { Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlYearsBetween
:Pattern:        qlYearsBetween[y1_Integer,m1_Integer,d1_Integer,y2_Integer,m2_Integer,d2_Integer,refy1_Integer,refm1_Integer,refd1_Integer,refy2_Integer,refm2_Integer,refd2_Integer,daycountnum_Integer]
:Arguments:      { y1, m1, d1, y2, m2, d2, refy1, refm1, refd1, refy2, refm2, refd2, daycountnum }
:ArgumentTypes:  { Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer, Integer }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlEuropeanOption
:Pattern:        qlEuropeanOption[type_Integer, underlying_?NumberQ, strike_?NumberQ, dividendYield_?NumberQ, riskFreeRate_?NumberQ, maturity_?NumberQ, volatility_?NumberQ]
:Arguments:      { type, underlying, strike, dividendYield, riskFreeRate, maturity, volatility }
:ArgumentTypes:  { Integer, Real, Real, Real, Real, Real, Real }
:ReturnType:     Manual
:End:

:Begin:
:Function:       qlMonteCarloPathBlackScholes
:Pattern:        qlMonteCarloPathBlackScholes[s0_?NumberQ, riskFreeRate_?NumberQ, dividendYield_?NumberQ, volatility_?NumberQ, length_?NumberQ, timeSteps_Integer]
:Arguments:      { s0, riskFreeRate, dividendYield, volatility, length, timeSteps }
:ArgumentTypes:  { Real, Real, Real, Real, Real, Integer }
:ReturnType:     Manual
:End:

:Evaluate: End[]

:Evaluate: EndPackage[]
