/*
 Copyright (C) 2003 Niels Elken Snderby

 This file is part of QuantLib for Mathematica, a Mathematica extension for
 QuantLib, a free-software/open-source financial C++ library
 http://www.nielses.dk/quantlib/mma
 http://quantlib.org/

 QuantLib for Mathematica is free software: you can redistribute it and/or
 modify it under the terms of the QuantLib license.  You should have received
 a copy of the license along with this program; if not, please email
 ferdinando@ametrano.net The license is also available online at
 http://quantlib.org/html/license.html

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the license for more details.
*/

#include "qlmma.hpp"
#include "flatplainoption.hpp"

using namespace QuantLib;
using NesQuant::Instruments::FlatPlainOption;

void qlEuropeanOption(int type, double underlying, double strike,
                        double dividendYield, double riskFreeRate,
                        double maturity, double volatility);